summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAaron W. Swenson <titanofold@gentoo.org>2018-05-18 07:33:22 -0400
committerAaron W. Swenson <titanofold@gentoo.org>2018-05-18 07:33:22 -0400
commitc7d27c841dd1aa2ba21bd49711629d95850ad9fb (patch)
treea2fa948b384f438c4aade4262b0e273bf0cd4a59 /dev-python/flask-paranoid/flask-paranoid-0.2.0.ebuild
parentdev-python/flask-security: Bump to 3.0.0 (diff)
downloadgentoo-c7d27c841dd1aa2ba21bd49711629d95850ad9fb.tar.gz
gentoo-c7d27c841dd1aa2ba21bd49711629d95850ad9fb.tar.bz2
gentoo-c7d27c841dd1aa2ba21bd49711629d95850ad9fb.zip
dev-python/flask-paranoid: Bump to 0.2.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'dev-python/flask-paranoid/flask-paranoid-0.2.0.ebuild')
-rw-r--r--dev-python/flask-paranoid/flask-paranoid-0.2.0.ebuild35
1 files changed, 35 insertions, 0 deletions
diff --git a/dev-python/flask-paranoid/flask-paranoid-0.2.0.ebuild b/dev-python/flask-paranoid/flask-paranoid-0.2.0.ebuild
new file mode 100644
index 00000000000..e57faa05ac2
--- /dev/null
+++ b/dev-python/flask-paranoid/flask-paranoid-0.2.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_PN="Flask-Paranoid"
+MY_P=${MY_PN}-${PV}
+
+DISTUTILS_IN_SOURCE_BUILD=1
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+inherit distutils-r1
+
+DESCRIPTION="Simple user session protection extension for Flask"
+HOMEPAGE="https://github.com/miguelgrinberg/flask-paranoid/"
+SRC_URI="mirror://pypi/F/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="BSD"
+
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ test? ( dev-python/tox[${PYTHON_USEDEP}] )
+"
+
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+ TOXENV=$(echo ${PYTHON} | sed 's:[^py0-9]::g')
+ echo "This is the setting of PYTHON: ${TOXENV}; and some stuff"
+ tox || die "Testing failed with ${EPYTHON}"
+}